Commit d82cd763 authored by Alexandre Fayolle's avatar Alexandre Fayolle Committed by Sebastian Ramacher

Imported Debian patch 0.9.0-2

parent 3b567563
codespeak-lib (0.9.0-2) unstable; urgency=low
* Added patch to allow the apigen documentation to build even if the
platform does not support greenlets
-- Alexandre Fayolle <afayolle@debian.org> Tue, 20 Feb 2007 14:21:08 +0100
codespeak-lib (0.9.0-1) unstable; urgency=low
* Added myself to the list of uploaders, with Guilherme's assent
......
......@@ -21,8 +21,17 @@ def pkg_to_dict(module):
for key, value in defs.iteritems():
chain = key.split('.')
base = module
for elem in chain:
base = getattr(base, elem)
try:
for elem in chain:
base = getattr(base, elem)
except RuntimeError, exc:
if elem == "greenlet":
print exc.__class__.__name__, exc
print "Greenlets not supported on this platform. Skipping apigen doc for this module"
continue
else:
raise
if value[1] == '*':
d.update(get_star_import_tree(base, key))
else:
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment